This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1305656 - NETDEV WATCHDOG: eth0 (e1000e): transmit queue 0 timed out [NEEDINFO]
NETDEV WATCHDOG: eth0 (e1000e): transmit queue 0 timed out
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 15:25 EST by Alex Regan
Modified: 2016-10-26 12:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:52:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (mysqlstudent)


Attachments (Terms of Use)

  None (edit)
Description Alex Regan 2016-02-08 15:25:16 EST
Description of problem:
Controller repeatedly prints "e1000e 0000:00:19.0 eth0: Reset adapter unexpectedly". It occurs about every 45 seconds or so, making the system unusable.

Version-Release number of selected component (if applicable):

# rpm -qva|grep kern
kernel-core-4.3.4-300.fc23.x86_64
kernel-4.3.4-300.fc23.x86_64
kernel-modules-4.3.4-300.fc23.x86_64

How reproducible:
Occurs when connected to the Cisco router at my ISP on a 10mbit circuit with controller set to 100/full. May occur at other settings as well.

Steps to Reproduce:
1. Connect to network
2. Start passing traffic through it
3.

Actual results:

WARNING: CPU: 0 PID: 0 at net/sched/sch_generic.c:303 dev_watchdog+0x22e/0x240()
NETDEV WATCHDOG: eth0 (e1000e): transmit queue 0 timed out
Modules linked in: act_police cls_basic cls_flow cls_fw cls_u32 sch_tbf sch_prio sch_htb sch_hfsc sch_ingress sch_sfq xt_CHECKSUM ipt_rpfilter xt_statistic xt_CT xt_connlimit xt_realm xt_addrtype ip_set_hash_ip xt_comment xt_recent xt_nat ipt_MASQUERADE nf_nat_masquerade_ipv4 ipt_ECN ipt_CLUSTERIP ipt_ah xt_set ip_set xt_NFLOG nfnetlink_log xt_LOG nf_log_ipv4 nf_log_common nf_nat_tftp nf_nat_snmp_basic nf_conntrack_snmp nf_nat_sip nf_nat_pptp nf_nat_proto_gre nf_nat_irc nf_nat_h323 nf_nat_ftp nf_nat_amanda ts_kmp nf_conntrack_amanda nf_conntrack_sane nf_conntrack_tftp nf_conntrack_sip nf_conntrack_proto_udplite nf_conntrack_proto_sctp nf_conntrack_pptp nf_conntrack_proto_gre nf_conntrack_netlink nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_irc nf_conntrack_h323 nf_conntrack_ftp
xt_TPROXY nf_defrag_ipv6 xt_time xt_TCPMSS xt_tcpmss xt_sctp xt_policy xt_pkttype xt_physdev br_netfilter bridge stp llc xt_owner xt_NFQUEUE xt_multiport xt_mark xt_mac xt_limit xt_length xt_iprange xt_helper xt_hashlimit xt_DSCP xt_dscp xt_dccp xt_conntrack xt_connmark xt_CLASSIFY xt_AUDIT xt_state iptable_raw iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack iptable_mangle nfnetlink authenc echainiv cmac rmd160 ip_vti ip_tunnel af_key ah6 ah4 esp6 esp4 xfrm4_mode_beet xfrm4_tunnel tunnel4 xfrm4_mode_tunnel xfrm4_mode_transport xfrm6_mode_transport xfrm6_mode_ro xfrm6_mode_beet xfrm6_mode_tunnel ipcomp ipcomp6 xfrm6_tunnel tunnel6 xfrm_ipcomp camellia_generic camellia_aesni_avx_x86_64 camellia_x86_64 cast6_avx_x86_64 cast6_generic cast5_avx_x86_64 cast5_generic
Feb 06 20:37:08 kernel:  cast_common deflate cts gcm ccm serpent_avx_x86_64 serpent_sse2_x86_64 serpent_generic blowfish_generic blowfish_x86_64 blowfish_common twofish_generic twofish_avx_x86_64 twofish_x86_64_3way twofish_x86_64 twofish_common xcbc sha256_ssse3 sha512_ssse3 sha512_generic des_generic tpm_rng timeriomem_rng virtio_rng virtio_ring virtio intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp kvm_intel kvm iTCO_wdt iTCO_vendor_support crct10dif_pclmul crc32_pclmul crc32c_intel ipmi_ssif i2c_i801 e1000e joydev ie31200_edac lpc_ich ptp shpchp edac_core pps_core ipmi_si ipmi_msghandler fjes tpm_tis tpm video raid1 mgag200 i2c_algo_bit drm_kms_helper ttm drm serio_raw
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.3.4-300.fc23.x86_64 #1
Hardware name: Supermicro X9SCL/X9SCM/X9SCL/X9SCM, BIOS 2.2 02/20/2015
0000000000000000 63bbd8f48868fce9 ffff88042fc03da0 ffffffff813a625f
ffff88042fc03de8 ffff88042fc03dd8 ffffffff810a07c2 0000000000000000
ffff88041c0f8000 0000000000000000 0000000000000001 ffff88041c0f8000
Call Trace:
<IRQ>  [<ffffffff813a625f>] dump_stack+0x44/0x55
[<ffffffff810a07c2>] warn_slowpath_common+0x82/0xc0
[<ffffffff810a085c>] warn_slowpath_fmt+0x5c/0x80
[<ffffffff816921ee>] dev_watchdog+0x22e/0x240
[<ffffffff81691fc0>] ? qdisc_rcu_free+0x40/0x40
[<ffffffff811084a5>] call_timer_fn+0x35/0xf0
[<ffffffff81691fc0>] ? qdisc_rcu_free+0x40/0x40
[<ffffffff81108aaf>] run_timer_softirq+0x20f/0x2c0
[<ffffffff810a510b>] __do_softirq+0xfb/0x290
[<ffffffff810a54a5>] irq_exit+0x105/0x110
[<ffffffff817847d2>] smp_apic_timer_interrupt+0x42/0x50
[<ffffffff81782637>] apic_timer_interrupt+0x87/0x90
<EOI>  [<ffffffff8161f820>] ? cpuidle_enter_state+0x130/0x270
[<ffffffff8161f997>] cpuidle_enter+0x17/0x20
[<ffffffff810e26b2>] call_cpuidle+0x32/0x60
[<ffffffff8161f973>] ? cpuidle_select+0x13/0x20
[<ffffffff810e2946>] cpu_startup_entry+0x266/0x320
[<ffffffff81775d1c>] rest_init+0x7c/0x80
[<ffffffff81d5c01e>] start_kernel+0x498/0x4b9
[<ffffffff81d5b120>] ? early_idt_handler_array+0x120/0x120
[<ffffffff81d5b339>] x86_64_start_reservations+0x2a/0x2c
[<ffffffff81d5b485>] x86_64_start_kernel+0x14a/0x16d
---[ end trace df089ad6784ac5d1 ]---
e1000e 0000:00:19.0 eth0: Reset adapter unexpectedly
e1000e: eth0 NIC Link is Up 100 Mbps Full Duplex, Flow Control: None



Expected results:


Additional info:


00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 05)
        Subsystem: Super Micro Computer Inc Device 1502
        Flags: bus master, fast devsel, latency 0, IRQ 26
        Memory at dfa00000 (32-bit, non-prefetchable) [size=128K]
        Memory at dfa25000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at f020 [size=32]
        Capabilities: [c8] Power Management version 2
        Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [e0] PCI Advanced Features
        Kernel driver in use: e1000e
        Kernel modules: e1000e
Comment 1 Laura Abbott 2016-09-23 15:41:26 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 2 Laura Abbott 2016-10-26 12:52:46 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.